Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Samuli Suominen (drac)" <drac@g.o>
Subject: gentoo-x86 commit in x11-plugins/wmgrabimage: wmgrabimage-0.72-r1.ebuild
Date: Sun, 29 Jun 2008 14:11:34 +0000
drac        08/06/29 14:11:34

  Modified:             wmgrabimage-0.72-r1.ebuild
  Log:
  quoting
  (Portage version: 2.2_rc1/cvs/Linux 2.6.26-rc3 x86_64)

Revision  Changes    Path
1.7                  x11-plugins/wmgrabimage/wmgrabimage-0.72-r1.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/x11-plugins/wmgrabimage/wmgrabimage-0.72-r1.ebuild?rev=1.7&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/x11-plugins/wmgrabimage/wmgrabimage-0.72-r1.ebuild?rev=1.7&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/x11-plugins/wmgrabimage/wmgrabimage-0.72-r1.ebuild?r1=1.6&r2=1.7

Index: wmgrabimage-0.72-r1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/x11-plugins/wmgrabimage/wmgrabimage-0.72-r1.ebuild,v
retrieving revision 1.6
retrieving revision 1.7
diff -u -r1.6 -r1.7
--- wmgrabimage-0.72-r1.ebuild	22 Jul 2007 05:06:09 -0000	1.6
+++ wmgrabimage-0.72-r1.ebuild	29 Jun 2008 14:11:34 -0000	1.7
@@ -1,21 +1,22 @@
-# Copyright 1999-2007 Gentoo Foundation
+# Copyright 1999-2008 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/x11-plugins/wmgrabimage/wmgrabimage-0.72-r1.ebuild,v 1.6 2007/07/22 05:06:09 dberkholz Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-plugins/wmgrabimage/wmgrabimage-0.72-r1.ebuild,v 1.7 2008/06/29 14:11:34 drac Exp $
 
 inherit eutils
 
-IUSE=""
-
 MY_P=${PN/grabi/GrabI}
-S=${WORKDIR}/${MY_P}-${PV}/${MY_P}
 
 DESCRIPTION="wmGrabImage grabs an image from the WWW and displays it"
 SRC_URI="http://www.dockapps.com/download.php/id/19/${MY_P}-${PV}.tgz"
 HOMEPAGE="http://www.dockapps.com/file.php/id/12"
 
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ppc x86"
+IUSE=""
+
 RDEPEND=">=net-misc/wget-1.9-r2
 	>=media-gfx/imagemagick-5.5.7.15
-	>=sys-apps/sed-4
 	x11-libs/libX11
 	x11-libs/libXext
 	x11-libs/libXpm"
@@ -23,36 +24,28 @@
 	x11-proto/xproto
 	x11-proto/xextproto"
 
-SLOT="0"
-LICENSE="GPL-2"
-KEYWORDS="x86 ppc"
+S=${WORKDIR}/${MY_P}-${PV}/${MY_P}
 
-src_unpack()
-{
+src_unpack() {
 	unpack ${A}
-
-	cd ${S}
-	epatch ${FILESDIR}/${PN}-noman.patch
+	cd "${S}"
+	epatch "${FILESDIR}"/${PN}-noman.patch
+	sed -i -e 's/-geom /-geometry /' GrabImage || die "sed failed."
 }
 
-src_compile()
-{
-	sed -i -e 's/-geom /-geometry /' GrabImage
-	emake clean || die "clean failed"
-	emake CFLAGS="${CFLAGS} -Wall" || die "make failed"
+src_compile() {
+	emake clean || die "emake clean failed."
+	emake CFLAGS="${CFLAGS} -Wall" || die "emake failed."
 }
 
-src_install()
-{
-	cd ${S}
+src_install() {
 	dodir /usr/bin
-	einstall DESTDIR="${D}/usr" || die "make install failed"
+	einstall DESTDIR="${D}/usr" || die "einstall failed."
 
 	doman wmGrabImage.1
 
-	cd ..
-	dodoc BUGS CHANGES HINTS TODO
+	dodoc ../{BUGS,CHANGES,HINTS,TODO}
 
 	insinto /usr/share/applications
-	doins ${FILESDIR}/${PN}.desktop
+	doins "${FILESDIR}"/${PN}.desktop
 }



-- 
gentoo-commits@g.o mailing list


Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in x11-plugins/wmfsm: wmfsm-0.34-r1.ebuild
Next by thread:
gentoo-x86 commit in media-video/gpac: gpac-0.4.2-r1.ebuild ChangeLog gpac-0.4.2.ebuild
Previous by date:
gentoo-x86 commit in x11-themes/gtk-chtheme: ChangeLog gtk-chtheme-0.3.1-r1.ebuild
Next by date:
gentoo-x86 commit in profiles: ChangeLog use.local.desc


Updated Mar 24, 2011

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.